Bug 1247389 - vagrant-libvirt installed but does not appear in plugin list
vagrant-libvirt installed but does not appear in plugin list
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vagrant-libvirt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 17:12 EDT by Daniel Riek
Modified: 2016-07-19 13:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:12:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2015-07-27 17:12:23 EDT
sudo dnf install vagrant-libvirt
Last metadata expiration check performed 0:04:13 ago on Mon Jul 27 17:00:03 2015.
Package vagrant-libvirt-0.0.26-2.fc22.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
[riek@cuttyhunk foo] $ vagrant plugin list
vagrant-hostmanager (1.5.0)
  - Version Constraint: 1.5.0
vagrant-registration (0.0.2)
  - Version Constraint: 0.0.2
vagrant-share (1.1.4, system)
Comment 1 James (purpleidea) 2015-07-27 18:03:16 EDT
This is a strange bug... I assume it's a packaging issue. I experienced this, and also got slightly different output when I tried a reinstall:

[james@purpleidea ~]$ vagrant plugin list
vagrant-hostmanager (1.5.0)
vagrant-login (1.0.1, system)
vagrant-share (1.1.4, system)
[james@purpleidea ~]$ sudo dnf reinstall vagrant-libvirt
[sudo] password for james:
Last metadata expiration check performed 0:07:10 ago on Mon Jul 27 15:23:42 2015.
Dependencies resolved.
================================================================================
 Package                Arch          Version               Repository     Size
================================================================================
Reinstalling:
 vagrant-libvirt        noarch        0.0.26-2.fc22         fedora         57 k

Transaction Summary
================================================================================

Total download size: 57 k
Is this ok [y/N]: y
Downloading Packages:
vagrant-libvirt-0.0.26-2.fc22.noarch.rpm        117 kB/s |  57 kB     00:00
--------------------------------------------------------------------------------
Total                                            11 kB/s |  57 kB     00:05
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Reinstalling: vagrant-libvirt-0.0.26-2.fc22.noarch                        1/2 
Ignoring json-1.8.2 because its extensions are not built.  Try: gem pristine json --version 1.8.2
Ignoring nokogiri-1.6.6.2 because its extensions are not built.  Try: gem pristine nokogiri --version 1.6.6.2
Ignoring ruby-libvirt-0.4.0 because its extensions are not built.  Try: gem pristine ruby-libvirt --version 0.4.0
LoadError: no such file to load -- vagrant/plugin/manager
  require at org/jruby/RubyKernel.java:1071
  require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54
   (root) at -e:3
error: %preun(vagrant-libvirt-0.0.26-2.fc22.noarch) scriptlet failed, exit status 1
Error in PREUN scriptlet in rpm package vagrant-libvirt
  Erasing     : vagrant-libvirt-0.0.26-2.fc22.noarch                        2/2 
Ignoring json-1.8.2 because its extensions are not built.  Try: gem pristine json --version 1.8.2
Ignoring nokogiri-1.6.6.2 because its extensions are not built.  Try: gem pristine nokogiri --version 1.6.6.2
Ignoring ruby-libvirt-0.4.0 because its extensions are not built.  Try: gem pristine ruby-libvirt --version 0.4.0
LoadError: no such file to load -- vagrant/plugin/manager
  require at org/jruby/RubyKernel.java:1071
  require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54
   (root) at -e:3
warning: %posttrans(vagrant-libvirt-0.0.26-2.fc22.noarch) scriptlet failed, exit status 1
Non-fatal POSTTRANS scriptlet failure in rpm package vagrant-libvirt
  Verifying   : vagrant-libvirt-0.0.26-2.fc22.noarch                        1/2 
  Verifying   : vagrant-libvirt-0.0.26-2.fc22.noarch                        2/2 

Reinstalled:
  vagrant-libvirt.noarch 0.0.26-2.fc22                                          

Complete!
[james@purpleidea ~]$ vagrant plugin list
vagrant-hostmanager (1.5.0)
vagrant-login (1.0.1, system)
vagrant-share (1.1.4, system)


Plugin is still not seen :(
Comment 2 Vít Ondruch 2015-07-28 01:46:47 EDT
(In reply to James (purpleidea) from comment #1)
> LoadError: no such file to load -- vagrant/plugin/manager
>   require at org/jruby/RubyKernel.java:1071
>   require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54
>    (root) at -e:3

JRuby? How that comes?
Comment 3 James (purpleidea) 2015-07-28 08:36:47 EDT
(In reply to Vít Ondruch from comment #2)
> (In reply to James (purpleidea) from comment #1)
> > LoadError: no such file to load -- vagrant/plugin/manager
> >   require at org/jruby/RubyKernel.java:1071
> >   require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54
> >    (root) at -e:3
> 
> JRuby? How that comes?

No idea. Maybe that system is messed up somehow... But understanding what's happening in the Vanilla scenario that Riek showed would be useful to debug...
Comment 4 Josef Stribny 2015-08-06 07:19:02 EDT
I would love to see some concrete steps made on a new system. How did you Daniel got into your state-of-affairs?
Comment 5 Josef Stribny 2015-09-14 04:47:31 EDT
Daniel,

can you uninstall vagrant-libvirt with:
# rpm -e --nodeps --noscripts vagrant-libvirt

and then install it again with:
# dnf install vagrant-libvirt

and confirm this is really still an issue?
Comment 7 Fedora End Of Life 2016-07-19 13:12:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.